---
Name: alma-8.7-min-install
Description: AlmaLinux-8.7 minimal installer
Documentation: |
  This BootEnv installs the AlmaLinux 8.7 minimal operating system.

  ISOs can be downloaded from:

    * <https://mirrors.almalinux.org/isos.html>
Meta:
  color: blue
  feature-flags: change-stage-v2
  icon: linux
  title: Digital Rebar Community Content
  type: os
  group-by: Alma
OptionalParams:
  - operating-system-disk
  - provisioner-default-password-hash
  - kernel-console
  - kernel-options
  - proxy-servers
  - select-kickseed
  - kickstart-base-packages
  - extra-packages
OnlyUnknown: false
Loaders:
  amd64-uefi: EFI/BOOT/BOOTX64.EFI
  arm64-uefi: EFI/BOOT/BOOTAA64.EFI
OS:
  Name: alma-8.7-min
  Family: redhat
  Codename: alma
  Version: "8.7"
  SupportedArchitectures:
    x86_64:
      IsoFile: AlmaLinux-8.7-x86_64-minimal.iso
      Sha256: 5cc9cbf2bf7fd473c73441c48cfc6fd130f19243c7dfcdc9b02293d5c042c223
      IsoUrl: http://iad.mirror.rackspace.com/almalinux-vault/8.7/isos/x86_64/AlmaLinux-8.7-x86_64-minimal.iso
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
      BootParams: >-
        ksdevice=bootif
        inst.ks={{.Machine.Url}}/compute.ks
        inst.url={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
    aarch64:
      IsoFile: AlmaLinux-8.7-aarch64-minimal.iso
      Sha256: 01653d4569b1eb02493e686e853b513e8a757fe432f6b29ff9df2b42d8c2b4e7
      IsoUrl: https://iad.mirror.rackspace.com/almalinux-vault/8.7/isos/aarch64/AlmaLinux-8.7-aarch64-minimal.iso
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
      BootParams: >-
        ksdevice=bootif
        inst.ks={{.Machine.Url}}/compute.ks
        inst.url={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
    ppc64le:
      IsoFile: AlmaLinux-8.7-ppc64le-minimal.iso
      Sha256: 30024769d670f2f2eae1e536fe7686088ad8daa806a41058eb6ea0177e90aa7b
      IsoUrl: https://iad.mirror.rackspace.com/almalinux-vault/8.7/isos/ppc64le/AlmaLinux-8.7-ppc64le-minimal.iso
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
      BootParams: >-
        ksdevice=bootif
        inst.ks={{.Machine.Url}}/compute.ks
        inst.url={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
Templates:
  - Name: kexec
    Path: "{{.Machine.Path}}/kexec"
    ID: kexec.tmpl
  - Name: pxelinux
    Path: "pxelinux.cfg/{{.Machine.HexAddress}}"
    ID: default-pxelinux.tmpl
  - Name: ipxe
    Path: "{{.Machine.Address}}.ipxe"
    ID: default-ipxe.tmpl
  - Name: pxelinux-mac
    Path: 'pxelinux.cfg/{{.Machine.MacAddr "pxelinux"}}'
    ID: default-pxelinux.tmpl
  - Name: ipxe-mac
    Path: '{{.Machine.MacAddr "ipxe"}}.ipxe'
    ID: default-ipxe.tmpl
  - Name: grub
    Path: "grub/{{.Machine.Address}}.cfg"
    ID: default-grub.tmpl
  - Name: grub-mac
    Path: 'grub/{{.Machine.MacAddr "grub"}}.cfg'
    ID: default-grub.tmpl
  - Name: grub-http-boot
    Path: '{{.Env.PathFor "tftp" ""}}/EFI/BOOT/grub.cfg'
    ID: default-grub.tmpl
  - Name: compute.ks
    Path: "{{.Machine.Path}}/compute.ks"
    ID: select-kickseed.tmpl
